Switch to full style
About BasiliskII, a 68k Mac emulator for Windows, MacOSX, and Linux that can run System 7.x through MacOS 8.1.
Post a reply

Applications cannot be opened in the System761 app.

Thu Jun 20, 2019 11:43 pm

So, I downloaded the System761 app for the sole purpose of using the earliest versions of Photoshop. However, both version 1.0 and the 0.63 beta brought up this error message: The application program "Photoshop" could not be opened, because an error of type -39 occurred.


How do I get around this error, if a way even exists?

Re: Applications cannot be opened in the System761 app.

Fri Jun 21, 2019 7:45 am

1. What is "the System761 app"? A preconfigured BasiliskII installation?
2. Which is your host system?
3. Where did you get the old Mac applications? How was the software saved and kept? Are you sure all original classic Mac properties, like resource fork, are intact?
4. How did you move the old Mac applications into the BasiliskII environment?

Re: Applications cannot be opened in the System761 app.

Fri Jun 21, 2019 9:29 am

Once you did set up Basilisk II correctly (according to the how-to in the forum),
Basilisk II will run all Photoshop flavours up to version 4.
Be aware of the obstacle that the early PS versions could only handle a few image types of their time.
JPG for example was only introduced with version 2.5, IIRC.

Image

Re: Applications cannot be opened in the System761 app.

Fri Jun 21, 2019 12:04 pm

The System761 App is one of my prepackaged versions, using BasiliskII. If you can't run a program in it, and the program should be able to run in BasiliskII, then the only thing to do is set up your own BasiliskII system following the instructions in the wiki on this site.

EDIT: Actually, Photoshop 1.0 runs perfectly in this system. Probably you didn't copy it from the "Unix" disk to the actual BasiliskII hard disk image? It won't work if run from the Unix folder (and produces error type -39), but works perfectly when you copy the application to the BasiliskII disk image. Image here:

https://ibb.co/d5SwL6r

EDIT2: I've now added a warning about this to the download page for the System761 and Mac OS 9 apps.
Post a reply